Entrar

Crear / Activar

POST https://{organization}.myguper.com/api/register/team/member

Crea un vínculo entre una persona y un puesto. Comportamiento atómico (transacción):

  1. Si ya existe un vínculo activo del personId, se cierra (endedAt = startedAt).
  2. Se crea el nuevo vínculo.
  3. Se asegura person.isCollaborator = 1.

Úsalo para contratar o cambiar de puesto. Para cerrar sin sustitución, usa End.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "personId": 99,
    "positionId": 12,
    "reportsTo": 5,                                             // optional
    "startedAt": "2026-04-24",                                  // optional
    "data": null                                                // optional
}

Respuestas

{
    "id": 7,
    "personId": 99,
    "positionId": 12,
    "reportsTo": 5,
    "startedAt": "2026-04-24",
    "endedAt": null,
    "data": null
}
Copied to clipboard